Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Enum ClosureType

- java.lang.Object
- - java.lang.Enum<ClosureType>
  - - org.eclipse.viatra.query.patternlanguage.emf.vql.ClosureType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ClosureType>`, `org.eclipse.emf.common.util.Enumerator`

      public enum ClosureType
      extends java.lang.Enum<ClosureType>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Closure Type', and utility methods for working with them. Specifies closure type, such as reflexive-transitive or transitive. The default value is the original relation.
  Since:
    2.0
  See Also:
    `PatternLanguagePackage.getClosureType()`
  Generated:
  Model:

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ORIGINAL` | The 'Original' literal object.
    `REFLEXIVE_TRANSITIVE` | The 'Reflexive transitive' literal object.
    `TRANSITIVE` | The 'Transitive' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ORIGINAL_VALUE` | The 'Original' literal value.
    `static int` | `REFLEXIVE_TRANSITIVE_VALUE` | The 'Reflexive transitive' literal value.
    `static int` | `TRANSITIVE_VALUE` | The 'Transitive' literal value.
    `static java.util.List<ClosureType>` | `VALUES` | A public read-only list of all the 'Closure Type' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClosureType` | `get​(int value)` | Returns the 'Closure Type' literal with the specified integer value.
    `static ClosureType` | `get​(java.lang.String literal)` | Returns the 'Closure Type' literal with the specified literal value.
    `static ClosureType` | `getByName​(java.lang.String name)` | Returns the 'Closure Type' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` | Returns the literal value of the enumerator, which is its string representation.
    `static ClosureType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ClosureType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ORIGINAL

          public static final ClosureType ORIGINAL

      The 'Original' literal object.
      See Also:
        `ORIGINAL_VALUE`
      Generated:
      Ordered:

    - #### REFLEXIVE_TRANSITIVE

          public static final ClosureType REFLEXIVE_TRANSITIVE

      The 'Reflexive transitive' literal object.
      See Also:
        `REFLEXIVE_TRANSITIVE_VALUE`
      Generated:
      Ordered:

    - #### TRANSITIVE

          public static final ClosureType TRANSITIVE

      The 'Transitive' literal object.
      See Also:
        `TRANSITIVE_VALUE`
      Generated:
      Ordered:

  - ### Field Detail

    - #### ORIGINAL_VALUE

          public static final int ORIGINAL_VALUE

      The 'Original' literal value.
      See Also:
        `ORIGINAL`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="original" literal="ORIGINAL"

    - #### REFLEXIVE_TRANSITIVE_VALUE

          public static final int REFLEXIVE_TRANSITIVE_VALUE

      The 'Reflexive transitive' literal value.
      See Also:
        `REFLEXIVE_TRANSITIVE`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="reflexive_transitive" literal="REFLEXIVE_TRANSITIVE"

    - #### TRANSITIVE_VALUE

          public static final int TRANSITIVE_VALUE

      The 'Transitive' literal value.
      See Also:
        `TRANSITIVE`, Constant Field Values
      Generated:
      Ordered:
      Model:
        name="transitive" literal="TRANSITIVE"

    - #### VALUES

          public static final java.util.List<ClosureType> VALUES

      A public read-only list of all the 'Closure Type' enumerators.
      Generated:

  - ### Method Detail

    - #### values

          public static ClosureType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClosureType c : ClosureType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClosureType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ClosureType get​(java.lang.String literal)

      Returns the 'Closure Type' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getByName

          public static ClosureType getByName​(java.lang.String name)

      Returns the 'Closure Type' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### get

          public static ClosureType get​(int value)

      Returns the 'Closure Type' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.
      Generated:

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
      Generated:

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ClosureType>`
      Generated: